## GMimeStreamMmap

GMimeStreamMmap — A memory-mapped file stream

## Functions

GMimeStream * | g_mime_stream_mmap_new ()
GMimeStream * | g_mime_stream_mmap_new_with_bounds ()
gboolean | g_mime_stream_mmap_get_owner ()
void | g_mime_stream_mmap_set_owner ()

## Types and Values

struct | GMimeStreamMmap

## Object Hierarchy

        GObject
        ╰── GMimeStream
            ╰── GMimeStreamMmap

## Description

A GMimeStream implementation using a memory-mapped file backing store. This may be faster than GMimeStreamFs or GMimeStreamFile but you'll have to do your own performance checking to be sure for your particular application/platform.

## Functions

### g_mime_stream_mmap_new ()

    GMimeStream *
    g_mime_stream_mmap_new (int fd,
                            int prot,
                            int flags);

Creates a new GMimeStreamMmap object around `fd` .

#### Parameters

fd | file descriptor |
prot | protection flags |
flags | map flags |

#### Returns

a stream using `fd` .

### g_mime_stream_mmap_new_with_bounds ()

    GMimeStream *
    g_mime_stream_mmap_new_with_bounds (int fd,
                                        int prot,
                                        int flags,
                                        gint64 start,
                                        gint64 end);

Creates a new GMimeStreamMmap object around `fd` with bounds `start` and `end` .

#### Parameters

fd | file descriptor |
prot | protection flags |
flags | map flags |
start | start boundary |
end | end boundary |

#### Returns

a stream using `fd` with bounds `start` and `end` .

### g_mime_stream_mmap_get_owner ()

    gboolean
    g_mime_stream_mmap_get_owner (GMimeStreamMmap *stream);

Gets whether or not `stream` owns the backend file descriptor.

#### Parameters

stream | a GMimeStreamFs |

#### Returns

`TRUE` if `stream` owns the backend file descriptor or `FALSE` otherwise.

Since: 3.2

### g_mime_stream_mmap_set_owner ()

    void
    g_mime_stream_mmap_set_owner (GMimeStreamMmap *stream,
                                  gboolean owner);

Sets whether or not `stream` owns the backend file descriptor.

Note: `owner` should be `TRUE` if the stream should `close()` the backend file descriptor when destroyed or `FALSE` otherwise.

#### Parameters

stream | a GMimeStreamMmap |
owner | `TRUE` if this stream should own the file descriptor or `FALSE` otherwise |

Since: 3.2

## Types and Values

### struct GMimeStreamMmap

    struct GMimeStreamMmap;

A memory-mapped GMimeStream.

#### Members

## See Also

GMimeStream